Page MenuHomePhabricator

Add -exceptns to pagegenerators.py
Closed, ResolvedPublic

Description

I miss this functionality in pagegenerators.py. It would be super-useful to have an opposite for -ns generator.

Current approach
-ns:0,1,2,3,5,6,7,8,9,10,11,12,13,14,15,100,101,102,103,828,829,446,447

Proposed functionality
-exceptns:4

What this proposed parameter should do:

  1. Call API to get list of all namespaces on current lang.family
  2. Exclude ns specified in -exceptns
  3. Run generator as if -ns:0,1,2,3,5,6,7,8,9,10,11,12,13,14,15,100,101,102,103,828,829,446,447 was specified

Related Objects

StatusSubtypeAssignedTask
OpenNone
ResolvedXqt

Event Timeline

Dvorapa created this task.Jun 10 2017, 4:59 PM
Restricted Application added subscribers: pywikibot-bugs-list, Aklapper. · View Herald TranscriptJun 10 2017, 4:59 PM
Dvorapa updated the task description. (Show Details)Jun 10 2017, 4:59 PM
Xqt claimed this task.Jun 11 2017, 10:47 AM
Xqt triaged this task as Low priority.

Change 358236 had a related patch set uploaded (by Xqt; owner: Xqt):
[pywikibot/core@master] [IMPR] Add exception for -namepace option

https://gerrit.wikimedia.org/r/358236

Change 358236 merged by jenkins-bot:
[pywikibot/core@master] [IMPR] Add exception for -namepace option

https://gerrit.wikimedia.org/r/358236

Xqt closed this task as Resolved.Jun 18 2017, 8:05 PM